| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
HID_ReportItem_t Struct Reference
HID Report Parser

## Detailed Description

HID Parser Report Item Details Structure.

Type define for a report item (IN, OUT or FEATURE) layout attributes and other details.

Definition at line 215 of file HIDParser.h.

`#include "HIDParser.h"`

## Data Fields
uint16_t | BitOffset
uint8_t | ItemType
uint16_t | ItemFlags
uint8_t | ReportID
HID_CollectionPath_t * | CollectionPath
HID_ReportItem_Attributes_t | Attributes
uint32_t | Value
uint32_t | PreviousValue

## Field Documentation

HID_ReportItem_Attributes_t Attributes

Report item attributes.

Definition at line 223 of file HIDParser.h.

uint16_t BitOffset

Bit offset in the IN, OUT or FEATURE report of the item.

Definition at line 217 of file HIDParser.h.

HID_CollectionPath_t* CollectionPath

Collection path of the item.

Definition at line 221 of file HIDParser.h.

uint16_t ItemFlags

Item data flags, a mask of HID_IOF_* constants.

Definition at line 219 of file HIDParser.h.

uint8_t ItemType

Report item type, a value in HID_ReportItemTypes_t.

Definition at line 218 of file HIDParser.h.

uint32_t PreviousValue

Previous value of the report item.

Definition at line 228 of file HIDParser.h.

uint8_t ReportID

Report ID this item belongs to, or 0x00 if device has only one report

Definition at line 220 of file HIDParser.h.

uint32_t Value

Current value of the report item - use HID_ALIGN_DATA() when processing a retrieved value so that it is aligned to a specific type.

Definition at line 225 of file HIDParser.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Common/HIDParser.h